cc.funkemunky.api.utils

## Class RunUtils

- java.lang.Object
- - cc.funkemunky.api.utils.RunUtils

    public class RunUtils
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RunUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.bukkit.scheduler.BukkitTask` `task(java.lang.Runnable runnable)`
`static org.bukkit.scheduler.BukkitTask` `task(java.lang.Runnable runnable, org.bukkit.plugin.Plugin plugin)`
`static org.bukkit.scheduler.BukkitTask` `taskAsync(java.lang.Runnable runnable)`
`static org.bukkit.scheduler.BukkitTask` `taskAsync(java.lang.Runnable runnable, org.bukkit.plugin.Plugin plugin)`
`static org.bukkit.scheduler.BukkitTask` `taskLater(java.lang.Runnable runnable, long delay)`
`static org.bukkit.scheduler.BukkitTask` `taskLater(java.lang.Runnable runnable, org.bukkit.plugin.Plugin plugin, long delay)`
`static org.bukkit.scheduler.BukkitTask` `taskLaterAsync(java.lang.Runnable runnable, long delay)`
`static org.bukkit.scheduler.BukkitTask` `taskLaterAsync(java.lang.Runnable runnable, org.bukkit.plugin.Plugin plugin, long delay)`
`static org.bukkit.scheduler.BukkitTask` `taskTimer(java.lang.Runnable runnable, long delay, long interval)`
`static org.bukkit.scheduler.BukkitTask` `taskTimer(java.lang.Runnable runnable, org.bukkit.plugin.Plugin plugin, long delay, long interval)`
`static org.bukkit.scheduler.BukkitTask` `taskTimerAsync(java.lang.Runnable runnable, long delay, long interval)`
`static org.bukkit.scheduler.BukkitTask` `taskTimerAsync(java.lang.Runnable runnable, org.bukkit.plugin.Plugin plugin, long delay, long interval)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RunUtils

    public RunUtils()

### Method Detail

#### taskTimer

    public static org.bukkit.scheduler.BukkitTask taskTimer(java.lang.Runnable runnable,
                                                            org.bukkit.plugin.Plugin plugin,
                                                            long delay,
                                                            long interval)

#### taskTimer

    public static org.bukkit.scheduler.BukkitTask taskTimer(java.lang.Runnable runnable,
                                                            long delay,
                                                            long interval)

#### taskTimerAsync

    public static org.bukkit.scheduler.BukkitTask taskTimerAsync(java.lang.Runnable runnable,
                                                                 org.bukkit.plugin.Plugin plugin,
                                                                 long delay,
                                                                 long interval)

#### taskTimerAsync

    public static org.bukkit.scheduler.BukkitTask taskTimerAsync(java.lang.Runnable runnable,
                                                                 long delay,
                                                                 long interval)

#### task

    public static org.bukkit.scheduler.BukkitTask task(java.lang.Runnable runnable,
                                                       org.bukkit.plugin.Plugin plugin)

#### task

    public static org.bukkit.scheduler.BukkitTask task(java.lang.Runnable runnable)

#### taskAsync

    public static org.bukkit.scheduler.BukkitTask taskAsync(java.lang.Runnable runnable,
                                                            org.bukkit.plugin.Plugin plugin)

#### taskAsync

    public static org.bukkit.scheduler.BukkitTask taskAsync(java.lang.Runnable runnable)

#### taskLater

    public static org.bukkit.scheduler.BukkitTask taskLater(java.lang.Runnable runnable,
                                                            org.bukkit.plugin.Plugin plugin,
                                                            long delay)

#### taskLater

    public static org.bukkit.scheduler.BukkitTask taskLater(java.lang.Runnable runnable,
                                                            long delay)

#### taskLaterAsync

    public static org.bukkit.scheduler.BukkitTask taskLaterAsync(java.lang.Runnable runnable,
                                                                 org.bukkit.plugin.Plugin plugin,
                                                                 long delay)

#### taskLaterAsync

    public static org.bukkit.scheduler.BukkitTask taskLaterAsync(java.lang.Runnable runnable,
                                                                 long delay)